M2MM(1)

NAME
m2mm - Modula-2 makefile generator

SYNOPSIS
m2mm [ -Idir -Ldir -llibrary -Mflags -Ccompiler -Ssuffix ] file ...

DESCRIPTION
M2mm is a makefile generator and fast syntax checker for Modula-2 programs. The makefile is produced on standard output. M2mm will generate rules to produce an object file for every module used in the argument files. In addition, it will generate a rule to make a program, for each of the program modules given as argument. Using make(1) without an argument will make all these programs.

In the makefile, the variables MOD, M2FLAGS, IFLAGS, LIBS, and SUFFIX will be defined. The generated rules have the following form:

name.$(SUFFIX): ...
    $(MOD) -c $(M2FLAGS) $(IFLAGS) name.mod

M2mm recognizes the following options:

-Idir
    Add dir to the list of directories where definition modules are looked for. Also add the flag to IFLAGS. The default value for IFLAGS is empty.

-Ldir
    Add dir to the list of directories where definition modules are looked for. Also add the corresponding -I flag to IFLAGS. The difference with the -I flag is, that the -L directories are considered interfaces to libraries, and thus no rules are generated using or creating object files for modules found in these directories. Instead, the user is expected to add a library to the LIBS macro, using the -l flag.

-Mflags
    Set M2FLAGS to flags.

-Ccompiler
    Set MOD to compiler. The default value for MOD is "m2".

-llibrary
    Add library to the LIBS macro. This macro is initially empty, and is passed to the loader.

-Ssuffix
    Set SUFFIX to suffix. The default suffix is "o".

SEE ALSO
make(1), modula-2(1)

DIAGNOSTICS
Are intended to be self-explanatory.